## upterm

Instant Terminal Sharing

### Synopsis

Upterm is an open-source solution for sharing terminal sessions instantly over secure SSH tunnels to the public internet.

### Examples

```
  # Host a terminal session running $SHELL, attaching client's IO to the host's:
  $ upterm host

  # Display the SSH connection string for sharing with client(s):
  $ upterm session current
  === SESSION_ID
  Command:                /bin/bash
  Force Command:          n/a
  Host:                   ssh://uptermd.upterm.dev:22
  SSH Session:            ssh TOKEN@uptermd.upterm.dev

  # A client connects to the host session via SSH:
  $ ssh TOKEN@uptermd.upterm.dev
```

### Options

```
  -h, --help   help for upterm
```

### SEE ALSO

* [upterm host](upterm_host.md)	 - Host a terminal session
* [upterm proxy](upterm_proxy.md)	 - Proxy a terminal session via WebSocket
* [upterm session](upterm_session.md)	 - Display session
* [upterm upgrade](upterm_upgrade.md)	 - Upgrade the CLI
* [upterm version](upterm_version.md)	 - Show version

###### Auto generated by spf13/cobra on 30-Apr-2024
